import React, { useState, useEffect } from 'react'
import './order-detail-modal.css'
import { Input, Rate } from "antd";
export default function OrderDetailModal() {
    const height = window.innerHeight - 180;
    const [activeKey, setActiveKey] = useState('roder')   //tap栏选项 默认选第一个
    const [orderPrice, setOrderPrice] = useState('')      //订单金额
    const [orderStatus, setOrderStatus] = useState('')    //订单状态
    const [orderTime, setOrderTime] = useState('')        //下单时间
    const [payTime, setPayTime] = useState('')            //付款时间
    const [cardTime, setCardTime] = useState('')          //下证时间
    const [evaluateTime, setEvaluateTime] = useState('')  //评价时间
    const [orderRate, setOrderRate] = useState(0)         //订单评价星星数量
    const [rateText,setOrderText] = useState('')
    // tab栏 标题数组
    const tapTitleArray = [
        {
            key: 'roder',
            title: '订单信息',
            className: activeKey == 'roder' ? 'orderDetailTop-tetle tapActive' : 'orderDetailTop-tetle'
        },
        {
            key: 'goodsInfo',
            title: '著作权商品信息',
            className: activeKey == 'goodsInfo' ? 'orderDetailTop-tetle tapActive' : 'orderDetailTop-tetle'
        },
        {
            key: 'copyright',
            title: ' 著作权人信息',
            className: activeKey == 'copyright' ? 'orderDetailTop-tetle tapActive' : 'orderDetailTop-tetle'
        },
        {
            key: 'authorize',
            title: '受权人信息',
            className: activeKey == 'authorize' ? 'orderDetailTop-tetle tapActive' : 'orderDetailTop-tetle'
        },
        {
            key: 'file',
            title: '资料补充',
            className: activeKey == 'file' ? 'orderDetailTop-tetle tapActive' : 'orderDetailTop-tetle'
        },
        {
            key: 'result',
            title: '过户结果',
            className: activeKey == 'result' ? 'orderDetailTop-tetle tapActive borderRight' : 'orderDetailTop-tetle borderRight'
        },
    ]
    useEffect(() => {
        // 发起请求获取订单信息
        setOrderPrice('556')
        setOrderStatus('已过户完成')
        setOrderTime('2024-04-25   15:34:10')
        setPayTime('2024-04-25   15:50:10')
        setCardTime('2024-05-25   15:50:10')
        setEvaluateTime('2024-05-25   15:50:10')
        setOrderRate(3)
        setOrderText('嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻')
    }, [])
    return (
        <div style={{ width: 1200, height: `${height}px` }}>
            <div className='orderDetailTop'>
                {tapTitleArray.map((item) => {
                    return (
                        <div key={item.key} className={item.className} onClick={() => {
                            setActiveKey(item.key)
                        }}>
                            {item.title}
                        </div>
                    )
                })}
            </div>
            <div className='orderDetailBot'>
                <div style={{ display: activeKey == 'roder' ? 'block' : 'none' }}>
                    <div className='orderDetailBot-order'>
                        <div className='orderInfo'>
                            <div className='orderInfo-title'>订单金额</div>
                            <Input
                                disabled
                                style={{
                                    width: 400,
                                    fontSize: 16,
                                    color: "#5C5C5C"
                                }} value={orderPrice}></Input>
                        </div>
                        <div className='orderInfo'>
                            <div className='orderInfo-title'>订单状态</div>
                            <Input
                                disabled
                                style={{
                                    width: 400,
                                    fontSize: 16,
                                    color: "#5C5C5C"
                                }} value={orderStatus}></Input>
                        </div>
                        <div className='orderInfo'>
                            <div className='orderInfo-title'>下单时间</div>
                            <Input
                                disabled
                                style={{
                                    width: 400,
                                    fontSize: 16,
                                    color: "#5C5C5C"
                                }} value={orderTime}></Input>
                        </div>
                        <div className='orderInfo'>
                            <div className='orderInfo-title'>付款时间</div>
                            <Input
                                disabled
                                style={{
                                    width: 400,
                                    fontSize: 16,
                                    color: "#5C5C5C"
                                }} value={payTime}></Input>
                        </div>
                        <div className='orderInfo'>
                            <div className='orderInfo-title'>下证时间</div>
                            <Input
                                disabled
                                style={{
                                    width: 400,
                                    fontSize: 16,
                                    color: "#5C5C5C"
                                }} value={cardTime}></Input>
                        </div>
                        <div className='orderInfo'>
                            <div className='orderInfo-title'>评价时间</div>
                            <Input
                                disabled
                                style={{
                                    width: 400,
                                    fontSize: 16,
                                    color: "#5C5C5C"
                                }} value={evaluateTime}></Input>
                        </div>
                        <div className='orderInfo'>
                            <div className='orderInfo-title'>订单评价</div>
                            <Input
                                disabled
                                style={{
                                    width: 400,
                                    fontSize: 16,
                                    color: "#5C5C5C"
                                }}
                            >
                            </Input>
                            <div className='orderInfo-rate'>
                                <Rate allowHalf  disabled value={orderRate} />
                            </div>
                        </div>
                        <div className='orderInfo'>
                            <div className='orderInfo-title'>评价内容</div>
                            <Input
                                disabled
                                style={{
                                    width: 400,
                                    fontSize: 16,
                                    color: "#5C5C5C"
                                }} value={rateText}></Input>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
    )
}
